# Uses of Enum Class
com.ocient.jdbc.proto.ClientWireProtocol.ConfirmationResponse.ResponseType

Packages that use ClientWireProtocol.ConfirmationResponse.ResponseType
Package
Description
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.ConfirmationResponse.ResponseType in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.ConfirmationResponse.ResponseType
Modifier and Type
Method
Description
`static ClientWireProtocol.ConfirmationResponse.ResponseType`
ClientWireProtocol.ConfirmationResponse.ResponseType.`forNumber(int value)`
`ClientWireProtocol.ConfirmationResponse.ResponseType`
ClientWireProtocol.ConfirmationResponse.Builder.`getType()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`ClientWireProtocol.ConfirmationResponse.ResponseType`
ClientWireProtocol.ConfirmationResponse.`getType()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`ClientWireProtocol.ConfirmationResponse.ResponseType`
ClientWireProtocol.ConfirmationResponseOrBuilder.`getType()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`static ClientWireProtocol.ConfirmationResponse.ResponseType`
ClientWireProtocol.ConfirmationResponse.ResponseType.`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.ConfirmationResponse.ResponseType`
ClientWireProtocol.ConfirmationResponse.ResponseType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.ConfirmationResponse.ResponseType`
ClientWireProtocol.ConfirmationResponse.ResponseType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.ConfirmationResponse.ResponseType[]`
ClientWireProtocol.ConfirmationResponse.ResponseType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.ConfirmationResponse.ResponseType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<ClientWireProtocol.ConfirmationResponse.ResponseType>`
ClientWireProtocol.ConfirmationResponse.ResponseType.`internalGetValueMap()`
Methods in com.ocient.jdbc.proto with parameters of type ClientWireProtocol.ConfirmationResponse.ResponseType
Modifier and Type
Method
Description
`ClientWireProtocol.ConfirmationResponse.Builder`
ClientWireProtocol.ConfirmationResponse.Builder.`setType(ClientWireProtocol.ConfirmationResponse.ResponseType value)`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`